{
  "name": "health-charge-exemption-telesales-frontend",
  "version": "0.0.1",
  "description": "",
  "engines": {
    "node": "18.x"
  },
  "outFiles": [
    "${workspaceFolder}/src/**"
  ],
  "scripts": {
    "preinstall": "node -e \"process.platform === 'darwin' && require('child_process').spawn('sh', ['./npm_scripts/install_pre_commit.sh'], { stdio: 'inherit'})\" && node -e \"process.platform === 'win32' && require('child_process').spawn('cmd.exe', ['/c','call npm_scripts/install_pre_commit.bat'], { stdio: 'inherit'})\"",
    "audit": "npm audit --omit=dev",
    "build": "rimraf ./dist && tsc && npm run build:sass",
    "build:sass": "sass --load-path=node_modules/ src/web/assets/sass:src/web/public/styles --style=compressed --no-source-map --quiet-deps",
    "postinstall": "npm run build",
    "start": "node dist/src/web/index.js",
    "start:dev": "ts-node-dev --respawn --transpile-only src/web/index.ts",
    "test": "cross-env LOG_LEVEL=info SESSION_DETAILS_PORT=8081 npm-run-all build test:lint test:unit:coverage test:fail_if_test_only_found test:browser",
    "test:accessibility": "ts-node 'src/test/a11y/run-test-suite.ts'",
    "test:browser": "npm run test:wiremock:start && npm run start & npm run test:wait && npm-run-all -s test:accessibility test:wiremock:stop",
    "test:ci": "jest --config ./jest.config.ts --collectCoverage --coverageDirectory=\"./coverage\" --ci --reporters=default --reporters=jest-junit --watchAll=false",
    "test:integration": "node 'src/test/integration/run-test-suite.js'",
    "test:fail_if_test_only_found": "./npm_scripts/fail_if_test_only_found.sh",
    "test:lint": "npx eslint ./src",
    "test:session-details": "cross-env SESSION_DETAILS_PORT=8081 node 'src/test/session-details-provider/session-details-app.js'",
    "test:unit": "npm run build && NODE_ENV=test jest --coverage",
    "test:jest": "jest --coverage",
    "test:unit:coverage": "nyc npm run test:unit",
    "test:wait": "./npm_scripts/wait_for_app_to_start.sh",
    "test:wiremock:start": "./npm_scripts/start_wiremock.sh",
    "test:wiremock:stop": "./npm_scripts/stop_wiremock.sh",
    "watch:sass": "sass -w src/web/assets/sass -o src/web/public/styles"
  },
  "author": "NHS Business services authority",
  "license": "Apache-2.0",
  "devDependencies": {
    "@types/connect-flash": "^0.0.38",
    "@types/connect-redis": "^0.0.21",
    "@types/cookie-parser": "^1.4.4",
    "@types/express": "^4.17.19",
    "@types/express-serve-static-core": "^4.17.37",
    "@types/express-session": "^1.17.8",
    "@types/http-errors": "^2.0.2",
    "@types/i18n": "^0.13.7",
    "@types/jest": "^29.5.5",
    "@types/method-override": "^0.0.33",
    "@types/node": "^20.8.6",
    "@types/nunjucks": "^3.2.4",
    "@types/qrcode": "^1.5.2",
    "@types/send": "^0.17.2",
    "@types/supertest": "^2.0.14",
    "@types/uuid": "^9.0.5",
    "@types/winston": "^2.4.4",
    "bluebird": "^3.7.2",
    "codecov": "^3.8.2",
    "cross-env": "^7.0.3",
    "eslint": "^8.51.0",
    "eslint-config-prettier": "^9.0.0",
    "eslint-plugin-html": "^7.1.0",
    "eslint-plugin-jest": "^27.4.2",
    "eslint-plugin-node": "^11.1.0",
    "eslint-plugin-prettier": "^5.0.1",
    "jest": "^29.7.0",
    "jest-html-reporters": "^3.1.4",
    "jest-junit": "^16.0.0",
    "jest-serializer-html": "^7.1.0",
    "nodemon": "^3.0.1",
    "npm-run-all": "^4.1.5",
    "nyc": "^15.1.0",
    "pa11y": "^6.2.3",
    "prettier": "^3.0.3",
    "proxyquire": "^2.1.3",
    "safe-regex": "^2.1.1",
    "sinon": "^16.1.0",
    "ts-jest": "^29.1.1",
    "ts-node": "^10.9.1",
    "ts-node-dev": "^2.0.0"
  },
  "dependencies": {
    "@azure/msal-node": "^2.2.0",
    "@nhsbsa/health-charge-exemption-common-frontend": "^2.5.0",
    "@typescript-eslint/eslint-plugin": "^6.7.5",
    "@typescript-eslint/parser": "^6.7.5",
    "axios": "^1.5.1",
    "axios-logger": "^2.7.0",
    "body-parser": "^1.20.2",
    "cfenv": "^1.2.4",
    "compression": "^1.7.4",
    "connect-redis": "^7.1.0",
    "cookie-parser": "^1.4.6",
    "csrf-csrf": "^3.0.1",
    "date-fns": "^2.30.0",
    "dd-trace": "^4.16.0",
    "dotenv": "^16.3.1",
    "email-validator": "^2.0.4",
    "escape-html": "^1.0.3",
    "express": "^4.18.2",
    "express-session": "^1.17.3",
    "express-validator": "^7.0.1",
    "fast-sort": "^3.4.0",
    "govuk-frontend": "^4.7.0",
    "helmet": "^7.0.0",
    "http-status-codes": "^2.3.0",
    "i18next": "^23.5.1",
    "i18next-fs-backend": "^2.2.0",
    "i18next-http-middleware": "^3.4.1",
    "libphonenumber-js": "^1.10.47",
    "moment": "^2.29.4",
    "nhs-numbers": "^1.0.8",
    "nhsuk-frontend": "^7.1.0",
    "nocache": "^4.0.0",
    "node-schedule": "^2.1.1",
    "notifications-node-client": "^7.0.3",
    "nunjucks": "^3.2.4",
    "ramda": "^0.29.1",
    "redactyl.js": "^1.5.0",
    "redis": "^4.6.10",
    "rimraf": "^5.0.5",
    "sass": "^1.69.3",
    "ts-standard": "^12.0.2",
    "typescript": "^5.2.2",
    "uuidv4": "^6.2.13",
    "winston-daily-rotate-file": "^4.7.1"
  },
  "env": {
    "jest": true
  },
  "repository": {
    "type": "git"
  },
  "keywords": [
    "package.json"
  ]
}
